=== debian/changelog ===
witchblast (0.8.0-1~chris3) groovy; urgency=medium

  * Fix broken font symlink

 -- Chris <dpkg@chris-nz.com>  Wed, 21 Apr 2021 04:37:18 +1200

witchblast (0.8.0-1~chris2) groovy; urgency=medium

  * Fix font dependency info and update maintainer field

 -- Chris <dpkg@chris-nz.com>  Wed, 21 Apr 2021 04:11:57 +1200

witchblast (0.8.0-1~chris1) groovy; urgency=medium

  * Use latest code from git for build (from 2015) for groovy

 -- Chris <dpkg@chris-nz.com>  Wed, 21 Apr 2021 03:45:17 +1200

witchblast (0.7.5-1~getdeb2~yakkety) yakkety; urgency=medium

  * Rebuild for yakkety

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 30 Oct 2016 21:31:20 +0100

witchblast (0.7.5-1~getdeb1) wily; urgency=low

  * Initial release

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 22 Feb 2016 20:46:55 +0100
