=== debian/control ===
Source: witchblast
Section: games
Priority: optional
Maintainer: Chris <dpkg@chris-nz.com>
Build-Depends: debhelper (>= 10),
               cmake,
               libsfml-dev
Standards-Version: 4.5.0
Homepage: https://github.com/Cirrus-Minor/witchblast

Package: witchblast
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         witchblast-data (= ${source:Version})
Description:  Roguelite dungeon crawler game
 Witch Blast is a free roguelite dungeon crawl shooter heavily
 inspired from Binding Of Isaac. The player plays as a novice
 magician in a dungeon who is trying to get as far as he can,
 using various items he can find to defeat the inhabitants of
 the dungeon.

Package: witchblast-data
Architecture: all
Depends: ${misc:Depends}, fonts-dejavu-core
Description:  Roguelite dungeon crawler game (data package)
 Witch Blast is a free roguelite dungeon crawl shooter heavily
 inspired from Binding Of Isaac. The player plays as a novice
 magician in a dungeon who is trying to get as far as he can,
 using various items he can find to defeat the inhabitants of
 the dungeon.
 .
 (This package contains the data files).
